#
# spec file for package perl-String-Format
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-String-Format
Version:        1.18
Release:        1.28
%define cpan_name String-Format
Summary:        Sprintf-Like String Formatting Capabilities With
License:        GPL-2.0-only
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/String-Format/
Source0:        https://cpan.metacpan.org/authors/id/S/SR/SREZIC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
String::Format lets you define arbitrary printf-like format sequences to be
expanded. This module would be most useful in configuration files and
reporting tools, where the results of a query need to be formatted in a
particular way. It was inspired by mutt's index_format and related
directives (see
<URL:http://www.mutt.org/doc/manual/manual-6.html#index_format>).

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license COPYING

%changelog
* Mon Mar  5 2018 coolo@suse.com
- updated to 1.18
  see /usr/share/doc/packages/perl-String-Format/Changes
  [#] Version 1.18                                           March 04,  2018
  [#] ----------------------------------------------------------------------
  * stable version with the changes in 1.17_50
  [#] ----------------------------------------------------------------------
  [#] Version 1.17_50                                        March 03,  2018
  [#] ----------------------------------------------------------------------
  * escape { and } (fix for RT #124147)
  [#] ----------------------------------------------------------------------
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.17
  * changed license
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Nov 20 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- cleanup changelog
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Wed Oct 21 2009 rschweikert@novell.com
- Add %%dir directive for String
* Tue Oct 20 2009 rschweikert@novell.com
- Shorten summary to pass rpmlint
* Tue Oct 20 2009 rschweikert@novell.com
- Fix spec to include String directory in files
* Mon Oct 12 2009 rschweikert@novell.com
- initial package 1.16
